### Type parameters

- #### T

### Hierarchy

- JsonTransform
  - DeepCopy
    - SimpleAccount
    - DataRequest
    - Site
    - AcceptedField
    - FieldData
    - FileMeta
    - ExternalService
    - ServiceResponse
    - OfferPriceRules
    - OfferPrice
    - Offer
    - Pageable
    - Page
    - OfferRank
    - OfferInteraction
    - OfferSearch
    - OfferSearchResultItem
    - SearchRequest
    - OfferShareData
    - HttpServiceCall

## Index

### Methods

- copy
- deepCopyFromJson
- getClass
- toJson

## Methods

### copy

- copy(changeArgs?: JsonObject<T>): T

- - Defined in repository/models/DeepCopy.ts:11

  #### Parameters

  - ##### Optional changeArgs: JsonObject<T>

  #### Returns T

### Protected deepCopyFromJson

- deepCopyFromJson(): T

- - Defined in repository/models/DeepCopy.ts:22

  #### Returns T

### Protected Abstract getClass

- getClass(): ClassCreator<T>

- - Defined in repository/models/DeepCopy.ts:26

  #### Returns ClassCreator<T>

### Abstract toJson

- toJson(): object

- Inherited from JsonTransform.toJson

  - Defined in repository/models/JsonTransform.ts:3

  #### Returns object

Generated using TypeDoc